Clinic Account API

get /accounts/{code}

Get account details

Base URL https://api.vseepreview.com/api_v3

Authentication: No Auth — This endpoint requires no authentication headers.

Get current member's Account data including intake forms, signup form, and workflow steps. Public access endpoint — no authentication required.

Key Response Fields

Intake Wizard Flow

1. Patient goes through all steps defined in intake_steps and post_intake_steps arrays.

2. Create/update Intake object during intake_steps.

3. When all intake_steps are passed, create a visit.

4. Go through post_intake_steps where the patient may update intake, take surveys, pick pharmacy, etc.

5. Each step has a code field defining the type of content.

Parameters

NameInTypeRequiredEnumDefaultDescription
codepathstringyesAccount code or dash (-) for current account (e.g. vclinic)

Responses

200 — Successful response

Account Details

{
  "data": {
    "id": "56ced820-55bc-43ca-9b35-4599ac1f0144",
    "code": "vclinic",
    "domain": "demo.vsee.me",
    "name": "VClinic",
    "portal_title": "",
    "files": [
      {
        "file_id": "56b29a3e-a72c-49e1-93f0-4c23ac1f0144",
        "code": "logo",
        "path": "https://api.vsee.me/api_v3/files/56b29a3e-a72c-49e1-93f0-4c23ac1f0144"
      }
    ],
    "waiting_room": {
      "subtitle": "If this is an emergency, please call 911 or go to your nearest emergency department.",
      "enter_text": "Enter Lounge",
      "need_schedule": true,
      "show_code": true,
      "average_visit_time": 3600,
      "capacity": 100,
      "default_room_code": "ceproom1"
    }
  }
}

Machine-readable: OpenAPI JSON